On Tue, Jun 26, 2012 at 4:53 PM, joseph jaouen <joseph_jao...@yahoo.fr> wrote:
> I have the same problem trying to run zim 0.55 or 0.56 on osx 10.7.4: zim
> cannot find its modules, even if it searches the correct path to the source
> directory.
> Osx is shipped with python 2.7, but I also tried with python 2.6 without
> success.
>
> Here is the output of the command line:
>
> ERROR: Could not find python module files in path:
> /Users/jo/Desktop/zim/zim-0.56
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python26.zip
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-darwin
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/plat-mac/lib-scriptpackages
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-tk
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-old
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload
> /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages
>
> Is there any osx user out here who could have a clue?

I'm not an OSX user, but maybe I can clarify a bit. The module zim is
looking for is "zim.py" and "zim/config.py". These are not in the
standard python distribution, but should be installed when you install
zim. You can check if they are in "site-packages" - if not they are
installed in an unexpected location.

Btw. you can also run zim without installing, if you start it from the
(extracted) source directory it will detect these files relative to
the script.

Hope this helps,

Jaap

_______________________________________________
Mailing list: https://launchpad.net/~zim-wiki
Post to     : zim-wiki@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zim-wiki
More help   : https://help.launchpad.net/ListHelp

Reply via email to